Subject: Re: bug#58664: 29.0.50; Dired fails to operate on files with newline charachters in name

From: Stefan Kangas <[email-masked]>
Date: Thu, 24 Nov 2022 12:01:55 -0800

tags 58664 + wontfix
close 58664
thanks

Eli Zaretskii <[email-masked]> writes:

>> From: Philip Kaludercic <[email-masked]>
>> Date: Thu, 20 Oct 2022 17:39:12 +0000
>>
>>
>> If I create a file in the shell using
>>
>>    $ touch "one
>>    two"
>>    $ ls
>>    'one'$'\n''two'
>>
>> and try to open this directory using Dired, I get the following
>>
>>     -rw-r--r--. 1 philip philip    0 Oct 20 19:37 one
>>   two
>>
>> where the "t" in two is highlighted.  If I try to mark the file and
>> delete it, Dired attempts to delete the file "one", that luckily doesn't
>> exist.
>
> This is a known issue.  The best solution we have for it is to use -b
> in the ls switches used by Dired.  (That cannot be the default because
> -b has adverse effect in other cases.)

So I think this is a wontfix.  I'm therefore closing this bug report.